%define debug_package %{nil}
%define product_family Red Hat OpenStack Platform
%define release_name Pike
%define base_release_version 12
%define full_release_version 12.0
%define beta Beta
%define release_file rhosp-release

Name:           %{release_file}%{?variant_lowercase:-%{variant_lowercase}}
Version:        %{full_release_version}
Release:        2%{?dist}
Summary:        %{product_family}%{?variant_titlecase: %{variant_titlecase}} release file
Group:          System Environment/Base
License:        GPLv2
Provides:       %{release_file} = %{version}-%{release}
BuildArch:      noarch


%description
%{product_family}%{?variant_titlecase: %{variant_titlecase}} release files

%prep
echo OK

%build
echo OK

%install
rm -rf %{buildroot}

# create /etc
mkdir -p %{buildroot}/etc

# create /etc/system-release and /etc/%{release_file}
echo "%{product_family}%{?variant_titlecase: %{variant_titlecase}} release %{full_release_version}%{?beta: %{beta}} (%{release_name})" > %{buildroot}/%{_sysconfdir}/%{release_file}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_sysconfdir}/%{release_file}

%changelog
* Thu Mar 23 2017 Mike Burns <mburns@redhat.com> - 12.0-1
- Update for OSP 12 Beta

* Thu Mar 23 2017 Mike Burns <mburns@redhat.com> - 11.0-2
- Update for OSP 11

* Tue Aug 16 2016 Mike Burns <mburns@redhat.com> - 10.0-2
* Initial Release
